%define major	1
%define libname	%mklibname benchmark %{major}
%define devname	%mklibname benchmark -d

Name:		google-benchmark
Version:	1.9.3
Release:	%mkrel 1
Summary:	A microbenchmark support library
Group:          System/Libraries
License:	ASL 2.0
URL:		https://github.com/google/benchmark
Source0:	https://github.com/google/benchmark/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gcc-c++
BuildRequires:	ninja
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(gmock)

%description
A library to support the benchmarking of functions, similar to unit-tests.

#------------------------------------------------

%package -n	%{libname}
Summary:	A microbenchmark support library
Group:		System/Libraries

%description -n	%{libname}
A library to support the benchmarking of functions, similar to unit-tests.

#------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	benchmark-devel = %{version}-%{release}

%description -n	%{devname}
Development headers and files for %{name} libraries.

#------------------------------------------------

%prep
%autosetup -n benchmark-%{version}

sed -e '/get_git_version/d' -i CMakeLists.txt

%build
%cmake -G Ninja \
       -DGIT_VERSION=%{version} \
       -DBENCHMARK_ENABLE_DOXYGEN:BOOL=ON \
       -DBENCHMARK_USE_BUNDLED_GTEST:BOOL=OFF \
       -DBENCHMARK_ENABLE_TESTING:BOOL=OFF
%cmake_build

%install
%cmake_install

%check
%ctest

%files -n %{libname}
%doc AUTHORS CONTRIBUTORS CONTRIBUTING.md README.md
%license LICENSE
%{_libdir}/libbenchmark*.so.%{major}{,.*}

%files -n %{devname}
%docdir %{_datadir}/doc/benchmark/
%doc %{_datadir}/doc/benchmark/
%{_libdir}/libbenchmark*.so
%{_includedir}/benchmark/
%{_libdir}/cmake/benchmark/
%{_libdir}/pkgconfig/benchmark*.pc


%changelog
* Fri May 09 2025 daviddavid <daviddavid> 1.9.3-1.mga10
+ Revision: 2182095
- new version: 1.9.3

* Tue Apr 01 2025 daviddavid <daviddavid> 1.9.2-1.mga10
+ Revision: 2172309
- new version: 1.9.2

* Sun Dec 01 2024 daviddavid <daviddavid> 1.9.1-1.mga10
+ Revision: 2120513
- new version: 1.9.1

* Mon Aug 19 2024 daviddavid <daviddavid> 1.9.0-1.mga10
+ Revision: 2087003
- new version: 1.9.0

* Tue Jul 23 2024 daviddavid <daviddavid> 1.8.5-1.mga10
+ Revision: 2082327
- new version: 1.8.5

* Sat May 25 2024 daviddavid <daviddavid> 1.8.4-1.mga10
+ Revision: 2067465
- new version: 1.8.4

* Tue Sep 19 2023 daviddavid <daviddavid> 1.8.3-1.mga10
+ Revision: 1988014
- new version: 1.8.3

* Wed Aug 30 2023 daviddavid <daviddavid> 1.8.2-1.mga10
+ Revision: 1981812
- new version: 1.8.2

* Sun Nov 13 2022 daviddavid <daviddavid> 1.7.1-1.mga9
+ Revision: 1906766
- new version: 1.7.1

* Sun Sep 11 2022 neoclust <neoclust> 1.7.0-1.mga9
+ Revision: 1886933
- New version 	1.7.0

* Tue Mar 29 2022 umeabot <umeabot> 1.6.0-2.mga9
+ Revision: 1833179
- Mageia 9 Mass Rebuild

* Tue Dec 28 2021 wally <wally> 1.6.0-1.mga9
+ Revision: 1765083
- new version 1.6.0

* Mon Apr 26 2021 daviddavid <daviddavid> 1.5.3-1.mga9
+ Revision: 1719954
- new version: 1.5.3

* Mon Sep 14 2020 daviddavid <daviddavid> 1.5.2-1.mga8
+ Revision: 1626501
- new version: 1.5.2

* Mon Jun 29 2020 daviddavid <daviddavid> 1.5.1-1.mga8
+ Revision: 1600311
- initial package google-benchmark

